Security Enhanced Linux Reference Policy

# Layer: services

## Module: bluetooth

Interfaces Templates

### Description:

Bluetooth tools and system services.

### Interfaces:

bluetooth_admin( domain , role )

##### Summary

All of the rules required to administrate an bluetooth environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

bluetooth_dbus_chat( domain )

##### Summary

Send and receive messages from bluetooth over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_domtrans( domain )

##### Summary

Execute bluetooth in the bluetooth domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

bluetooth_dontaudit_read_helper_state( domain )

##### Summary

Do not audit attempts to read bluetooth process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

bluetooth_read_config( domain )

##### Summary

Read bluetooth configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_service_start( domain )

##### Summary

start bluetooth service

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_service_status( domain )

##### Summary

Get status of bluetooth_unit_t service

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_stream_connect( domain )

##### Summary

Connect to bluetooth over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_use( domain )

##### Summary

Connect to bluetooth over a unix domain stream socket. The socket can be used for read and write.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_use_inherited_helper_stream_sockets( domain )

##### Summary

Connect to bluetooth over a unix domain stream socket. The socket can be used for read and write. This is required for

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

bluetooth_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for bluetooth.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return